For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
      • GETGet all surveys
      • POSTCreate survey
      • GETGet survey
      • DELDelete survey
      • GETGet all responses
      • POSTCreate response
      • DELDelete all responses
      • GETGet summary of responses
      • GETGet response
      • DELDelete a response
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceSurveys

Get all surveys

|View as Markdown|Open in Claude|
GET
https://api.prolific.com/api/v1/surveys/
GET
/api/v1/surveys/
$curl -G https://api.prolific.com/api/v1/surveys/ \
> -H "Authorization: Token <token>" \
> -H "Content-Type: application/json" \
> -d researcher_id=1234567890 \
> -d offset=0 \
> -d limit=50
1{
2 "results": [
3 {
4 "researcher_id": "1234567890",
5 "title": "A survey about vegetables",
6 "_id": "5f8d0d55b54764421b7156c1",
7 "date_created": "2023-11-15T10:20:30Z",
8 "date_modified": "2023-11-20T15:45:00Z",
9 "sections": [
10 {
11 "questions": [
12 {
13 "answers": [
14 {
15 "value": "Carrot",
16 "id": "1c6b147e-8f3a-4d2a-9f3e-2a1b3c4d5e6f"
17 },
18 {
19 "value": "Beetroot",
20 "id": "2d7c258f-9a4b-5e3b-af4f-3b2c4d5e6f7a"
21 },
22 {
23 "value": "Potato",
24 "id": "3e8d3690-ab5c-6f4c-b05f-4c3d5e6f7a8b"
25 }
26 ],
27 "title": "What is your favourite root vegetable?",
28 "type": "single",
29 "id": "4f9e4701-bc6d-7g5d-c16g-5d4e6f7a8b9c"
30 }
31 ],
32 "title": "Root vegetables",
33 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
34 }
35 ],
36 "questions": [
37 {
38 "answers": [
39 {
40 "value": "Potato",
41 "id": "5a1b2c3d-4e5f-6789-abcd-ef0123456789"
42 },
43 {
44 "value": "Carrot",
45 "id": "6b2c3d4e-5f67-89ab-cdef-0123456789ab"
46 }
47 ],
48 "title": "What is your favourite root vegetable?",
49 "type": "single",
50 "id": "7c3d4e5f-6789-abcd-ef01-23456789abcd"
51 }
52 ]
53 }
54 ]
55}
Get all the surveys for a researcher.
Was this page helpful?
Previous

Surveys

Next

Create survey

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Query parameters

researcher_idstringRequired
offsetintegerOptional>=0Defaults to 0
limitintegerOptional1-1000Defaults to 100

Response

Successful Response
resultslist of objects
List of all surveys matching the criteria.

Errors

4XX
Client Request Error